﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.NewsCategory>
@{
    ViewBag.Title = "Chuyên mục tin bài";
    ViewBag.Description = "nguoi dung";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    int tbCol = 7 + langs.Count();
    
}

@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/news_manager/newscate_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        <button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_@tbCol">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th>Tên chuyên mục</th>
                                <th style="width: 300px">Chuyên mục cha</th>
                                <th style="width: 100px">Kiểu tin</th>
                                <th style="width: 100px">Vị trí</th>
                                <th style="width: 120px">Trạng thái</th>
                                <th style="width: 100px; text-align: center">Bài viết</th>
                                @{foreach (var lang in langs)
                                  {
                                    <th style="width: 50px; text-align: center">
                                        <img  src="/Uploaded/images/language/@lang.Lang_Flag"></th>
                                  }}
                            </tr>
                        </thead>
                        <tbody>
                            @{foreach (var parent in Model)
                              {
                                  if (parent.ParentID == 0)
                                  {
                                      //view parent  
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@parent.NewCatID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <a href="/administrators/news_manager/newscate_edit/@parent.NewCatID">
                                            <b>
                                                  @parent.NewsCatName
                                            </b>
                                        </a>
                                        <input type="hidden" name="updateID" value="@parent.NewCatID">
                                    </td>
                                    <td>
                                        <span class='label  label-success'>Chuyên mục cha</span>
                                    </td>
                                     <td>
                                         @{if (parent.TypeNews != null)
                                          {
                                        <span class='label  label-info'>@parent.TypeNews.TName</span>
                                         }}
                                    </td>
                                    <td>
                                        <input class="form-control order_tag valid" type="text" name="SortOrder" id="SortOrder" value="@parent.SortOrder">
                                    </td>
                                    <td>
                                        @{if (parent.IsActive == true)
                                          {
                                            <span class='label  label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Ẩn</span>   
                                          }}
                                    </td>
                                    <td style="text-align: center">
                                        <b>
                                           @parent.News.Count
                                        </b>
                                    </td>

                                    @{foreach (var lang in langs)
                                      {
                                          if (parent.Lang_ID == lang.Lang_ID)
                                          {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_edit/@parent.NewCatID" class="btn btn-warning btn-sm edit"><i class="fa fa-check"></i></a>
                                        </td>
                                          }
                                          else
                                          {
                                              if (parent.LinkID == 0)
                                              {
                                                  var linkObj = Model.FirstOrDefault(p => p.LinkID == parent.NewCatID && p.Lang_ID == lang.Lang_ID);
                                                  if (linkObj != null)
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_edit/@linkObj.NewCatID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>
                                                  }
                                                  else
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_add?linkID=@parent.NewCatID&langID=@lang.Lang_ID" class="btn btn-success btn-sm edit"><i class="fa fa-plus"></i></a>
                                        </td>
                                                  }
                                              }
                                              else
                                              {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_edit/@parent.LinkID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>  
                                              }
                                          }
                                      }}

                                </tr>
                                
                                      //view child
                                      var childs = Model.Where(p => p.ParentID.Equals(parent.NewCatID)).ToList();
                                      if (childs.Count > 0)
                                      {
                                          foreach (var child in childs)
                                          {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@child.NewCatID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <a href="/administrators/news_manager/newscate_edit/@child.NewCatID">
                                            <b>
                                              -- @child.NewsCatName
                                            </b>
                                        </a>
                                        <input type="hidden" name="updateID" value="@child.NewCatID">
                                    </td>
                                    <td>
                                        <span class='label  label-info'>@parent.NewsCatName</span> 
                                    </td>
                                    <td>
                                        @{if (child.TypeNews != null)
                                          {
                                               <span class='label  label-info'>@child.TypeNews.TName</span>
                                          }}
                                         
                                    </td>
                                    <td>
                                        <input class="form-control order_tag valid" type="text" name="SortOrder" id="SortOrder" value="@child.SortOrder">
                                    </td>
                                    <td>
                                        @{if (child.IsActive == true)
                                          {
                                            <span class='label  label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Ẩn</span>   
                                          }}
                                    </td>
                                    <td style="text-align: center">
                                        <b>
                                           @child.News.Count
                                        </b>
                                    </td>
                                    @{foreach (var lang in langs)
                                      {
                                          if (child.Lang_ID == lang.Lang_ID)
                                          {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_edit/@child.NewCatID" class="btn btn-warning btn-sm edit"><i class="fa fa-check"></i></a>
                                        </td>
                                          }

                                          else
                                          {
                                              if (parent.LinkID == 0)
                                              {
                                                  var linkObj = Model.FirstOrDefault(p => p.LinkID == child.NewCatID && p.Lang_ID == lang.Lang_ID);
                                                  if (linkObj != null)
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_edit/@linkObj.NewCatID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>
                                                  }
                                                  else
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_add?linkID=@child.NewCatID&langID=@lang.Lang_ID" class="btn btn-success btn-sm edit"><i class="fa fa-plus"></i></a>
                                        </td>
                                                  }
                                              }
                                              else
                                              {
                                        <td>
                                            <a href="/administrators/news_manager/newscate_edit/@child.LinkID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>  
                                              }
                                          }
                                      }}
                                </tr>  
                                          }

                                      }
                                  }


                              }}
                        </tbody>
                    </table>
                     <div class="table-toolbar">
                        <a href="/administrators/news_manager/newscate_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        <button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
    
    <script>
        $(document).ready(function () {
            var error = "@ViewBag.Error";
            if (error != 0) {
                $('#modal-warning-error').modal('show')
            }
        })
    </script>
    
    <div class="modal fade modal-message modal-warning" id="modal-warning-error" aria-hidden="false">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="fa fa-warning"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    @ViewBag.Error
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang3.init();
        bang4.init();
        bang5.init();
        bang6.init();
        bang7.init();
        bang8.init();


        $(document).ready(function () {
            $("#news").addClass("active open");
            $("#newscate").addClass("active");
        });

    </script>

}
